Build #1 for cabal-debian-4.36.1

[all reports]

Package cabal-debian-4.36.1
Install InstallOk
Docs Ok
Tests NotTried
Time submitted 2017-11-22 12:10:28.217776122 UTC
Compiler ghc-8.0.2
OS linux
Arch x86_64
Dependencies Cabal-1.24.2.0, Diff-0.3.4, HUnit-1.6.0.0, Unixutils-1.54.1, ansi-wl-pprint-0.6.8.1, base-4.9.1.0, bifunctors-5.4.2, containers-0.5.7.1, data-default-0.7.1.1, debian-3.93.2, deepseq-1.4.2.0, directory-1.3.0.0, exceptions-0.8.3, filepath-1.4.1.1, hsemail-2, lens-4.15.4, memoize-0.8.1, mtl-2.2.1, network-uri-2.6.1.0, newtype-generics-0.5.1, optparse-applicative-0.14.0.0, parsec-3.1.11, pretty-1.1.3.3, process-1.4.3.0, pureMD5-2.1.3, regex-tdfa-1.2.2, set-extra-1.4, syb-0.7, text-1.2.2.2, unix-2.7.2.1, utf8-string-1.0.1.1, Cabal-1.24.2.0, Unixutils-1.54.1, base-4.9.1.0, debian-3.93.2, lens-4.15.4, mtl-2.2.1, pretty-1.1.3.3
Flags pretty-112

Build log

[view raw]

Resolving dependencies...
Configuring Diff-0.3.4...
Configuring SHA-1.6.4.2...
Building Diff-0.3.4...
Building SHA-1.6.4.2...
Installed Diff-0.3.4
Configuring base-orphans-0.6...
Building base-orphans-0.6...
Installed base-orphans-0.6
Configuring bzlib-0.5.0.5...
Building bzlib-0.5.0.5...
Installed bzlib-0.5.0.5
Configuring cabal-doctest-1.0.3...
Building cabal-doctest-1.0.3...
Configuring call-stack-0.1.0...
Installed SHA-1.6.4.2
Building call-stack-0.1.0...
Configuring cereal-0.5.4.0...
Installed call-stack-0.1.0
Configuring data-default-class-0.1.2.0...
Installed cabal-doctest-1.0.3
Building cereal-0.5.4.0...
Building data-default-class-0.1.2.0...
Configuring colour-2.3.3...
Installed data-default-class-0.1.2.0
Building colour-2.3.3...
Configuring dlist-0.8.0.3...
Installed cereal-0.5.4.0
Building dlist-0.8.0.3...
Configuring entropy-0.3.8...
Installed colour-2.3.3
Configuring fail-4.9.0.0...
Installed dlist-0.8.0.3
Building fail-4.9.0.0...
Configuring fmlist-0.9...
Installed fail-4.9.0.0
Building fmlist-0.9...
Configuring memoize-0.8.1...
Installed fmlist-0.9
Building memoize-0.8.1...
Building entropy-0.3.8...
Warning: /tmp/pkgConf-entropy-0.31036140795463480570.8: Unrecognized field
dynamic-library-dirs on line 26
Configuring generic-deriving-1.11.2...
Installed entropy-0.3.8
Building generic-deriving-1.11.2...
Configuring mtl-2.2.1...
Installed memoize-0.8.1
Building mtl-2.2.1...
Configuring newtype-generics-0.5.1...
Installed mtl-2.2.1
Building newtype-generics-0.5.1...
Configuring network-2.6.3.2...
Installed newtype-generics-0.5.1
Building network-2.6.3.2...
Configuring old-locale-1.0.0.7...
Installed generic-deriving-1.11.2
Building old-locale-1.0.0.7...
Configuring prelude-extras-0.4.0.3...
Installed network-2.6.3.2
Building prelude-extras-0.4.0.3...
Configuring parallel-3.2.1.1...
Installed old-locale-1.0.0.7
Building parallel-3.2.1.1...
Configuring primitive-0.6.2.0...
Installed parallel-3.2.1.1
Building primitive-0.6.2.0...
Configuring random-1.1...
Installed prelude-extras-0.4.0.3
Building random-1.1...
Configuring semigroups-0.18.3...
Installed random-1.1
Building semigroups-0.18.3...
Configuring reflection-2.1.2...
Installed semigroups-0.18.3
Building reflection-2.1.2...
Configuring stm-2.4.4.1...
Installed primitive-0.6.2.0
Building stm-2.4.4.1...
Configuring syb-0.7...
Installed stm-2.4.4.1
Building syb-0.7...
Configuring th-abstraction-0.2.6.0...
Installed reflection-2.1.2
Building th-abstraction-0.2.6.0...
Configuring text-1.2.2.2...
Installed syb-0.7
Building text-1.2.2.2...
Configuring utf8-string-1.0.1.1...
Installed th-abstraction-0.2.6.0
Building utf8-string-1.0.1.1...
Configuring transformers-compat-0.5.1.4...
Installed utf8-string-1.0.1.1
Building transformers-compat-0.5.1.4...
Configuring void-0.7.2...
Installed transformers-compat-0.5.1.4
Building void-0.7.2...
Configuring zlib-0.6.1.2...
Installed void-0.7.2
Building zlib-0.6.1.2...
Installed zlib-0.6.1.2
Configuring data-default-instances-containers-0.0.1...
Building data-default-instances-containers-0.0.1...
Configuring HUnit-1.6.0.0...
Installed text-1.2.2.2
Building HUnit-1.6.0.0...
Configuring data-default-instances-dlist-0.0.1...
Installed data-default-instances-containers-0.0.1
Building data-default-instances-dlist-0.0.1...
Configuring ansi-terminal-0.7.1.1...
Installed data-default-instances-dlist-0.0.1
Building ansi-terminal-0.7.1.1...
Configuring data-default-instances-old-locale-0.0.1...
Installed HUnit-1.6.0.0
Building data-default-instances-old-locale-0.0.1...
Configuring regex-base-0.93.2...
Installed data-default-instances-old-locale-0.0.1
Building regex-base-0.93.2...
Configuring old-time-1.1.0.3...
Installed ansi-terminal-0.7.1.1
Building old-time-1.1.0.3...
Configuring StateVar-1.1.0.4...
Installed regex-base-0.93.2
Building StateVar-1.1.0.4...
Configuring vector-0.12.0.1...
Installed StateVar-1.1.0.4
Building vector-0.12.0.1...
Configuring set-extra-1.4...
Installed old-time-1.1.0.3
Building set-extra-1.4...
Configuring exceptions-0.8.3...
Installed set-extra-1.4
Building exceptions-0.8.3...
Configuring tagged-0.8.5...
Installed exceptions-0.8.3
Building tagged-0.8.5...
Installed tagged-0.8.5
Configuring hashable-1.2.6.1...
Building hashable-1.2.6.1...
Configuring parsec-3.1.11...
Installed hashable-1.2.6.1
Building parsec-3.1.11...
Configuring polyparse-1.12...
Installed parsec-3.1.11
Building polyparse-1.12...
Configuring data-default-0.7.1.1...
Installed vector-0.12.0.1
Building data-default-0.7.1.1...
Configuring ansi-wl-pprint-0.6.8.1...
Installed data-default-0.7.1.1
Building ansi-wl-pprint-0.6.8.1...
Configuring contravariant-1.4...
Installed polyparse-1.12
Building contravariant-1.4...
Configuring regex-posix-0.95.2...
Installed ansi-wl-pprint-0.6.8.1
Building regex-posix-0.95.2...
Configuring crypto-api-0.13.2...
Installed contravariant-1.4
Building crypto-api-0.13.2...
Configuring distributive-0.5.3...
Installed regex-posix-0.95.2
Building distributive-0.5.3...
Installed crypto-api-0.13.2
Configuring hsemail-2...
Warning: /tmp/pkgConf-distributive-0.5133535434087755422.3: Unrecognized field
dynamic-library-dirs on line 22
Configuring unordered-containers-0.2.8.0...
Installed distributive-0.5.3
Building hsemail-2...
Building unordered-containers-0.2.8.0...
Configuring network-uri-2.6.1.0...
Installed hsemail-2
Building network-uri-2.6.1.0...
Configuring regex-tdfa-1.2.2...
Installed unordered-containers-0.2.8.0
Building regex-tdfa-1.2.2...
Configuring ListLike-4.5.1...
Installed network-uri-2.6.1.0
Building ListLike-4.5.1...
Configuring HaXml-1.25.4...
Installed ListLike-4.5.1
Building HaXml-1.25.4...
Configuring optparse-applicative-0.14.0.0...
Installed regex-tdfa-1.2.2
Building optparse-applicative-0.14.0.0...
Configuring regex-compat-0.95.1...
Installed optparse-applicative-0.14.0.0
Building regex-compat-0.95.1...
Configuring pureMD5-2.1.3...
Installed regex-compat-0.95.1
Building pureMD5-2.1.3...
Installed pureMD5-2.1.3
Configuring process-extras-0.7.2...
Building process-extras-0.7.2...
Configuring comonad-5.0.2...
Installed process-extras-0.7.2
Building comonad-5.0.2...
Warning: /tmp/pkgConf-comonad-5.01431419379620145550.2: Unrecognized field
dynamic-library-dirs on line 29
Configuring Unixutils-1.54.1...
Installed comonad-5.0.2
Building Unixutils-1.54.1...
Installed Unixutils-1.54.1
Configuring bifunctors-5.4.2...
Building bifunctors-5.4.2...
Installed bifunctors-5.4.2
Configuring profunctors-5.2.1...
Building profunctors-5.2.1...
Configuring semigroupoids-5.2.1...
Installed HaXml-1.25.4
Building semigroupoids-5.2.1...
Installed profunctors-5.2.1
Warning: /tmp/pkgConf-semigroupoids-5.21850952926437116466.1: Unrecognized
field dynamic-library-dirs on line 60
Installed semigroupoids-5.2.1
Configuring either-5...
Configuring free-4.12.4...
Building either-5...
Building free-4.12.4...
Installed either-5
Configuring debian-3.93.2...
Building debian-3.93.2...
Installed free-4.12.4
Configuring adjunctions-4.3...
Building adjunctions-4.3...
Installed adjunctions-4.3
Configuring kan-extensions-5.0.2...
Building kan-extensions-5.0.2...
Installed kan-extensions-5.0.2
Configuring lens-4.15.4...
Building lens-4.15.4...
Installed debian-3.93.2
Warning: /tmp/pkgConf-lens-4.151070575321260401255.4: Unrecognized field
dynamic-library-dirs on line 122
Installed lens-4.15.4
Downloading cabal-debian-4.36.1...
Configuring cabal-debian-4.36.1...
Building cabal-debian-4.36.1...
Installed cabal-debian-4.36.1